from nclu.tests.base import BaseTest


# then write your test cases
class TestDNSCLIParser(BaseTest):

    def setUp(self):
        super(TestDNSCLIParser, self).setUp()
        from nclu.plugins import dns
        self.patcher.expect_file(dns.RESOLV_SCRATCHPAD, '')

    def test_ip_param(self):
        from network_docopt import NetworkDocopt
        from nclu.plugins import dns

        docopt = NetworkDocopt(dns.__doc__)
        docopt.run(["net", "add", "dns", "nameserver", "208.67.222.222"])
        success, _ = dns.add_dns_nameserver(docopt.args)
        self.assertTrue(success)

    def test_ipv4_param(self):
        from network_docopt import NetworkDocopt
        from nclu.plugins import dns

        docopt = NetworkDocopt(dns.__doc__)
        docopt.run(["net", "add", "dns",
                    "nameserver", "ipv4", "208.67.222.222"])
        success, _ = dns.add_dns_nameserver(docopt.args)
        self.assertTrue(success)

    def test_ipv6_param(self):
        from network_docopt import NetworkDocopt
        from nclu.plugins import dns

        docopt = NetworkDocopt(dns.__doc__)
        docopt.run(["net", "add", "dns",
                    "nameserver", "ipv6", "2620:0:ccc::2"])
        success, _ = dns.add_dns_nameserver(docopt.args)
        self.assertTrue(success)

    def test_invalid_ip(self):
        from network_docopt import NetworkDocopt
        from nclu.plugins import dns

        docopt = NetworkDocopt(dns.__doc__)
        docopt.run(["net", "add", "dns", "nameserver", "foobar"])
        success, _ = dns.add_dns_nameserver(docopt.args)
        self.assertFalse(success)
