import unittest

from nclu import pending


EXAMPLE_DIFF = '''--- /etc/resolv.conf\t2018-07-27 14:31:27.831839179 +0000
+++ /run/nclu/dns/resolv.conf\t2018-07-27 14:39:19.201322048 +0000
@@ -1,3 +1,4 @@
 domain lab.cumulusnetworks.com
 search lab.cumulusnetworks.com. mvlab.cumulusnetworks.com. cumulusnetworks.com.
 nameserver 10.20.249.1
+nameserver 208.67.222.222
'''


class TestPending(unittest.TestCase):

    def test_get_pending_output(self):
        results = {
            'diffs': []
        }
        pending.get_pending_json_helper(
            results, EXAMPLE_DIFF)
        self.assertEquals(len(results['diffs']), 1)

    def test_fromFileTimestamp_calculated_correctly(self):
        results = {
            'diffs': []
        }
        pending.get_pending_json_helper(
            results, EXAMPLE_DIFF)
        self.assertEquals(
            results['diffs'][0]['fromFileTimestamp'],
            '2018-07-27 14:31:27.831839179 +0000')
