from distutils.core import setup

setup(name="nclu",
      version="1.0",
      author="Daniel Walton",
      author_email="dwalton@cumulusnetworks.com",
      url="cumulusnetworks.com",
      scripts=["net/bin/net", "net/bin/cl-chassis"],
      data_files=[("/etc/bash_completion.d/", ["net/completion/bash/net", ]),
                  ("/usr/local/share/fish/completions/", ["net/completion/fish/net.fish", ]),
                  ("/usr/sbin/", ["net/sbin/netd", ]),

                  # A post install script will copy /usr/share/nclu/.inputrc to
                  # /etc/skel/, /root/ and /home/cumulus/ if .inputrc does not
                  # exist in those locations
                  ("/usr/share/nclu/", ["usr/share/.inputrc", ]),

                  ("/etc/", [ "etc/netd.conf", ]),

                  # Copy the example directory
                  ("/usr/share/nclu/example/",
                    ["usr/share/example/acl",
                     "usr/share/example/bond",
                     "usr/share/example/bridge",
                     "usr/share/example/dot1x",
                     "usr/share/example/evpn",
                     "usr/share/example/link-settings",
                     "usr/share/example/lnv",
                     "usr/share/example/management-vrf",
                     "usr/share/example/mlag",
                     "usr/share/example/snmp-server",
                     "usr/share/example/syslog",
                     "usr/share/example/vlan-interfaces",
                     "usr/share/example/voice-vlan",
                     "usr/share/example/vrr"]),
                  ("/usr/share/nclu/example/bgp/", ["usr/share/example/bgp/unnumbered"]),
                  ("/usr/share/nclu/example/clag/",
                     ["usr/share/example/clag/basic-clag",
                      "usr/share/example/clag/l2-with-server-vlan-trunks",
                      "usr/share/example/clag/l3-uplinks-virtual-address"]),
                  ("/usr/share/nclu/example/dhcp/",
                     ["usr/share/example/dhcp/relay",
                      "usr/share/example/dhcp/server"]),
                  ("/usr/share/nclu/example/ospf/", ["usr/share/example/ospf/unnumbered"]),

                  # Copy the cl-support module
                  ("/usr/share/cumulus/support/", ["usr/share/cumulus/support/nclu", ]),

                  # logging
                  ("/etc/logrotate.d/", ["logrotate.d/netd", "logrotate.d/netd-history"]),
                  ("/etc/rsyslog.d/", ["rsyslog.d/40-netd.conf", ])
                  ],
      packages =["nclu", "nclu/wrappers", "nclu/plugins", "nclu/plugins/frr"]
      )
